﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WarmlyLocomotive.Entities;
public class EntityWarmlyLocomotive : EntityLocomotive
{
    public Color AdditionalColor { get; private set; }
    public bool Tube;
    public bool FuelTank;

    public EntityWarmlyLocomotive(int speed, double weight, Color bodyColor, Color additionalColor, bool tube, bool fuelTank) : base(speed, weight, bodyColor)
    {
        AdditionalColor = additionalColor;
        Tube = tube;
        FuelTank = fuelTank;
    }
}

